.loader-wrapper {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.dt-vertical {
    vertical-align: middle;
}

.context-title:before {
    content: attr(data-menutitle);
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    background: #28c76f;
    padding: 2px;

    font-size: 11px;
    font-weight: bold;
    color: #fff;
}

.context-title :first-child {
    margin-top: 30px;
}

.table-nowrap {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.info-valid-feedback {
    display: none;
    width: 100%;
    margin-top: 0.25rem;
    font-size: 0.857rem;
    color: #5fb0f2;
}

.info-valid-tooltip {
    position: absolute;
    top: 100%;
    z-index: 5;
    display: none;
    max-width: 100%;
    padding: 0.4rem 0.775rem;
    margin-top: 0.1rem;
    font-size: 0.857rem;
    color: #fff;
    background-color: #5fb0f2;
    border-radius: 0.358rem;
}

.was-validated :info-valid ~ .info-valid-feedback,
.was-validated :info-valid ~ .info-valid-tooltip,
.is-info-valid ~ .info-valid-feedback,
.is-info-valid ~ .info-valid-tooltip {
    display: block;
}

.was-validated .form-control:info-valid,
.form-control.is-info-valid {
    border-color: #5fb0f2;
    padding-right: calc(1.45em + 1.142rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%235fb0f2'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%235fb0f2' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.3625em + 0.2855rem) center;
    background-size: calc(0.725em + 0.571rem) calc(0.725em + 0.571rem);
}

.was-validated .form-control:info-valid:focus,
.form-control.is-info-valid:focus {
    border-color: #5fb0f2;
    box-shadow: 0 0 0 0.25rem rgba(234, 84, 85, 0.25);
}

.was-validated textarea.form-control:info-valid,
textarea.form-control.is-info-valid {
    padding-right: calc(1.45em + 1.142rem);
    background-position: top calc(0.3625em + 0.2855rem) right
        calc(0.3625em + 0.2855rem);
}

.was-validated .form-select:info-valid,
.form-select.is-info-valid {
    border-color: #5fb0f2;
}

.was-validated .form-select:info-valid:not([multiple]):not([size]),
.was-validated .form-select:info-valid:not([multiple])[size="1"],
.form-select.is-info-valid:not([multiple]):not([size]),
.form-select.is-info-valid:not([multiple])[size="1"] {
    padding-right: 3.5rem;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23d8d6de' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-chevron-down'%3e%3cpolyline points='6 9 12 15 18 9'%3e%3c/polyline%3e%3c/svg%3e"),
        url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%235fb0f2'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%235fb0f2' stroke='none'/%3e%3c/svg%3e");
    background-position: right 1rem center, center right 1rem;
    background-size: 15px 14px,
        calc(0.725em + 0.571rem) calc(0.725em + 0.571rem);
}

.was-validated .form-select:info-valid:focus,
.form-select.is-info-valid:focus {
    border-color: #5fb0f2;
    box-shadow: 0 0 0 0.25rem rgba(234, 84, 85, 0.25);
}

.was-validated .form-check-input:info-valid,
.form-check-input.is-info-valid {
    border-color: #5fb0f2;
}

.was-validated .form-check-input:info-valid:checked,
.form-check-input.is-info-valid:checked {
    background-color: #5fb0f2;
}

.was-validated .form-check-input:info-valid:focus,
.form-check-input.is-info-valid:focus {
    box-shadow: 0 0 0 0.25rem rgba(234, 84, 85, 0.25);
}

.was-validated .form-check-input:info-valid ~ .form-check-label,
.form-check-input.is-info-valid ~ .form-check-label {
    color: #5fb0f2;
}

.form-check-inline .form-check-input ~ .info-valid-feedback {
    margin-left: 0.5em;
}

.was-validated .input-group .form-control:info-valid,
.input-group .form-control.is-info-valid,
.was-validated .input-group .form-select:info-valid,
.input-group .form-select.is-info-valid {
    z-index: 2;
}

.was-validated .input-group .form-control:info-valid:focus,
.input-group .form-control.is-info-valid:focus,
.was-validated .input-group .form-select:info-valid:focus,
.input-group .form-select.is-info-valid:focus {
    z-index: 3;
}
